# Upload file using python requests library

# import module
import requests

# url - http://httpbin.org/
# making use of a free httpbin service
post_url = 'http://httpbin.org/post'


# method to upload files
def upload_files(files):
    response = requests.post(url=post_url, files=files)
    if response.ok:
        print('upload is successful.')
        # print(response.text)
    else:
        print('some error has occurred!')


if __name__ == '__main__':
    # important to read the file in binary mode requests package determines the Content-Type header value in the
    # byte. if the file is not read in bytes mode incorrect value for the Content-Type header is determined resulting
    # in a file upload error.
    # 'rb' denotes 'read binary'
    files_to_be_uploaded = {
        "upload_file_1": open("upload/file1.txt", "rb"),
        "upload_file_2": open("upload/file2.txt", "rb"),
    }

    upload_files(files=files_to_be_uploaded)

    print('\ndone')
